Get A Listing
curl --request GET \
--url https://api.getbuildify.com/{apiVersion}/{apiProvince}/listing \
--header 'x-api-key: <api-key>'import requests
url = "https://api.getbuildify.com/{apiVersion}/{apiProvince}/listing"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.getbuildify.com/{apiVersion}/{apiProvince}/listing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"{\n \"builders\": [\n {\n \"summary\": \"Over the decades the building landscape has gone through incredible changes in which Greenpark has not only sustained, but often times shaped and led. Through all this growth the Greenpark legacy has continued to thrive securely resting upon the foundations which were built over 55 years ago.\",\n \"address\": \"8700 Dufferin Street\\nVaughan, ON L4K 4S6\",\n \"listings\": [\n \"Listings/7I8F7Y\",\n \"Listings/GFCFQD\",\n \"Listings/RV8YIQ\",\n \"Listings/41A42E\",\n \"Listings/KWMHW0\",\n \"Listings/JLON36\",\n \"Listings/3ICZ3G\",\n \"Listings/QTSL9E\",\n \"Listings/4KQTX3\",\n \"Listings/0GYBON\",\n \"Listings/QGA7ZQ\",\n \"Listings/Q1UD4Y\"\n ],\n \"website\": \"greenparkgroup.ca\",\n \"name\": \"Greenpark Group\",\n \"logo\": \"https://storage.googleapis.com/precon-app.appspot.com/bfd06b4f-d537-47c9-9799-ab814d065725.png\",\n \"id\": \"3tLqusTBLjz2p52xbuU3\",\n \"path\": \"Builders/3tLqusTBLjz2p52xbuU3\",\n \"collection\": \"Builders\"\n }\n ],\n \"name\": \"Sample Listing - TEST Example\",\n \"summary\": \"This is the random summay\",\n \"id\": \"Q1UD4Y\"\n}""{\n \"requestId\": \"1675936783783265868-YXdzLWFwLXNvdXRoLTE=-2bcb5be7be8b42e281e557c24560c568ed2538504dc64939aec7dfad9858b1cc\",\n \"message\": \"Forbidden\"\n}""{\n \"requestId\": \"1675927846210615670-YXdzLXVzLWVhc3QtMQ==-7ea567d52c814134b370c178b2fae477bcae1ff01df14cc49e7481a79b7561a4\",\n \"message\": \"No data product found. Please contact your data provider\"\n}""{\n \"message\": \"Error: 500\"\n}"Listings
Get A Listing
Retrieve detailed information of a specific listing.
GET
/
{apiVersion}
/
{apiProvince}
/
listing
Get A Listing
Authorizations
Path Parameters
Available options:
v1-sandbox, v1-lite, v1 Available options:
all, on, bc, ab, mb, nb, nl, ns, pe, qc, sk Query Parameters
The specific id/objectId of the listing.
Attributes to retrieve. For example: name, summary, builders, etc. It should be comma separated. See more info.
Fields to attach referrences. For example: builders, marketers, etc. It should be comma separated. See more info.
⌘I